Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface TimerEventGeneratorsMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

public interface TimerEventGeneratorsMBean
extends weblogic.management.configuration.ConfigurationMBean

Provides a central access point for getting/creating Timer Event Generator MBeans

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).
`static String` | `TYPE`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `deleteTimerEventGenConfigurationMBean(TimerEventGenConfigurationMBean mbean)` Delete a TimerEventGenConfigurationMBean
`TimerEventGenConfigurationMBean[]` | `getTimerEventGenConfigurationMBeans()` Get a list of all known TimerEventGenConfigurationMBean's
`TimerEventGenConfigurationMBean` | `newTimerEventGenConfigurationMBean(String name)` Create a new TimerEventGenConfigurationMBean

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### getTimerEventGenConfigurationMBeans

    public TimerEventGenConfigurationMBean[] getTimerEventGenConfigurationMBeans()
                                                                          throws javax.management.MBeanException

  Get a list of all known TimerEventGenConfigurationMBean's

  Returns:
    Array of MBean's
  Throws:
    `javax.management.MBeanException`

### deleteTimerEventGenConfigurationMBean

    public void deleteTimerEventGenConfigurationMBean(TimerEventGenConfigurationMBean mbean)
                                               throws javax.management.MBeanException

  Delete a TimerEventGenConfigurationMBean

  Parameters:
    `mbean` - MBean to delete
  Throws:
    `javax.management.MBeanException`

### newTimerEventGenConfigurationMBean

    public TimerEventGenConfigurationMBean newTimerEventGenConfigurationMBean(String name)
                                                                       throws javax.management.MBeanException

  Create a new TimerEventGenConfigurationMBean

  Parameters:
    `name` - of the new MBean
  Returns:
    the created MBean
  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD